// JavaScript controller portion of "Example of XQuery/JavaScript Combination" application.
// This file belongs in static/ folder.
// Access point for application: /static/xquery_js_example.html
//
// Copyright 2016 The MathWorks, Inc.
 
// Button click callback
$( function() {
   $('button').click( function() {
      var data = this.id;
      callxquery(data);
   });
});

// Call XQuery and pass data to the view.
function callxquery(elementName) {            
   // From HTML file in static/, use ../ to reach RESTXQ base.
   var url = "../xquery_js_example/" + elementName;
   $("div#result")
      .load(url, {}, function() {
         // Callback function executes after XQuery is done.
         drawCircles(itemArray);
      });
}

// Call XQuery to get and display sample XML
$( function() {
  $.ajax({
    type: "GET",
    url: "../xquery_js_example/get_doc",
    success: function(data) {
      $('#doc').text(data)
    }
  });
});