// JavaScript view portion of "Example of XQuery/JavaScript Combination" application.
// This file belongs in static/ folder.
// Access point for application: /static/xquery_js_example.html
//
// Copyright 2016 The MathWorks, Inc.

// Draw one circle per item in array.
function drawCircles(itemArray) {
   var svg = d3.select("div#result").append("svg");
   var circle = svg.selectAll("circle").data(itemArray);
   circle.enter().append("circle")
     .attr("r", 10)
     .attr("cy",50)
     .attr("cx", function(d, i) { return 25 * i + 10; });
     
}